%define gcj_ver  %(gcj --version | head -n1 | awk '{ print $3 }')
%define with_java_only 1

Name:          XMP-Toolkit-SDK
Version:       5.1.2
Release:       %mkrel 3
Summary:       Adobe XMP Toolkit SDK
Group:         Development/Other
License:       BSD
Url:           http://www.adobe.com/devnet/xmp/
Source0:       http://download.macromedia.com/pub/developer/xmp/sdk/XMP-Toolkit-SDK-5.1.2.zip
# souce generated from expat and zlib build
Source1:       zlib-1.2.5-XMP-Toolkit-SDK-5.1.2.tar.gz
Source2:       expat-2.0.1-XMP-Toolkit-SDK-5.1.2.tar.gz
Patch0:        XMP-Toolkit-SDK-5.1.2-gcc4.patch
Patch1:        XMP-Toolkit-SDK-5.1.2-javadoc.patch
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: glibc-devel
BuildRequires: make
%if %with_java_only
BuildArch:     noarch
%endif

%description
The XMP Toolkit allows you to integrate XMP functionality into your product or solution. It
supports Macintosh, Windows, as well as UNIX and comes with samples, documentation, source
code and project files. The XMP Toolkit is available under the BSD license. The specification is
provided under the XMP Specification Public Patent License.

The XMP Toolkit SDK contains two libraries, XMPCore and XMPFiles. XMPCore and XMPFiles
are provided as C++ implementations. XMPCore is also provides as a Java version.

%package -n xmpcore
Summary:       Adobe Java XMP Core
Group:         Development/Java
Requires:      java >= 0:1.6.0
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

%description -n xmpcore
This package contains the Adobe XMP Core.

%package -n xmpcore-javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description -n xmpcore-javadoc
This package contains the API documentation for the Adobe XMP Core.

%prep
%setup -q -n XMP-Toolkit-SDK-%{version}
%patch1

for i in java/XMPCore/src/com/adobe/xmp/impl/Latin1Converter.java ;
do 
	native2ascii -encoding UTF8 $i $i
done

%build

(
  cd java/XMPCore
  ant  -Dfile.encoding=iso-8859-1 build javadoc
)

%install
mkdir -p %{buildroot}%{_javadir}
install -pm 644 java/XMPCore/target/release/xmpcore.jar \
  %{buildroot}%{_javadir}/xmpcore-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_javadocdir}/xmpcore
cp -pr java/XMPCore/docs/* %{buildroot}%{_javadocdir}/xmpcore


%files -n xmpcore
%{_javadir}/xmpcore-%{version}.jar
%{_javadir}/xmpcore.jar
%doc BSD-License.txt

%files -n xmpcore-javadoc
%{_javadocdir}/xmpcore


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 5.1.2-3.mga3
+ Revision: 345147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 dmorgan <dmorgan> 5.1.2-2.mga3
+ Revision: 340221
- Build with java7

* Fri Nov 11 2011 gil <gil> 5.1.2-1.mga2
+ Revision: 166388
- imported package XMP-Toolkit-SDK

